Name:           ocaml-zarith
Version:        1.1
Release:        %mkrel 2
Summary:        Arithmetic and logical operations over arbitrary-precision integers
License:        LGPL with static compilation exception
Group:          Development/Other
URL:            http://forge.ocamlcore.org/projects/zarith/
Source0:        http://forge.ocamlcore.org/frs/download.php/835/zarith-%{version}.tgz
BuildRequires:  ocaml-findlib
BuildRequires:  gmp-devel

%description
The Zarith library implements arithmetic and logical operations
over arbitrary-precision integers. It uses GMP to efficiently
implement arithmetic over big integers. Small integers are
represented as Caml unboxed integers, for speed and space economy.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{name} = %{version}-%{release}
Requires:       gmp-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n zarith-%{version}

%build
./configure -installdir %{buildroot}/%{_libdir}/ocaml
make
make doc

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_libdir}/ocaml
export OCAMLFIND_LDCONF="/dev/null"
make install

%files
%doc LICENSE README Changes
%dir %{_libdir}/ocaml/zarith
%{_libdir}/ocaml/zarith/META
%{_libdir}/ocaml/zarith/*.cma
%{_libdir}/ocaml/zarith/*.cmi
%{_libdir}/ocaml/zarith/*.cmxs
%{_libdir}/ocaml/zarith/*.so*

%files devel
%doc html/
%doc bitest.ml test.ml
%{_libdir}/ocaml/zarith/*.a
%{_libdir}/ocaml/zarith/*.cmxa
%{_libdir}/ocaml/zarith/*.mli


%changelog

* Mon Apr 09 2012 malo <malo> 1.1-2.mga2
+ Revision: 229851
- adding missing requires to gmp-devel

* Sun Mar 25 2012 blue_prawn <blue_prawn> 1.1-1.mga2
+ Revision: 226246
- imported package ocaml-zarith

